import { autocompletion, completeFromList, type Completion, type CompletionContext, type CompletionResult } from '@codemirror/autocomplete';
import { EditorState, EditorView } from '@codemirror/basic-setup';
import { type Diagnostic, linter, setDiagnostics } from '@codemirror/lint';
import type { Extension } from '@codemirror/state';
import { StreamLanguage } from '@codemirror/stream-parser';
import { hoverTooltip, type Tooltip } from '@codemirror/tooltip';
import { type ViewUpdate } from '@codemirror/view';
import { CodeLanguage } from '@itgenio/edik-core';
export { EditorView, ViewUpdate, autocompletion, completeFromList, Diagnostic, linter, setDiagnostics, hoverTooltip, Tooltip, Completion, CompletionContext, CompletionResult, };
export declare function getLangExtension(lang: CodeLanguage): import("@codemirror/language").LanguageSupport | StreamLanguage<unknown>;
export declare function createState({ text, lang, readonly, onChange, extensions, }?: {
    text?: string;
    lang?: CodeLanguage;
    readonly?: boolean;
    onChange?: (text: string) => void;
    extensions?: Extension[];
}): EditorState;
